Activity {
    include basic;
}

ControlLoop myRoboCar {
	oVe alias otherVehicle
    partOf RE;
	Ab alias airbag
    role ACTUATOR
    partOf Ve
    poweredBy(GasCartridge);
	GasCartridge 
    partOf Ab;
	Ctr hasFunction(fDrive, fAirbag);
}

FactorModel {
# causal factors in the process:
  O alias obstacleInTrajectory
    activatedBy(DISTURB) # .RE
		mitigatedBy(RANDOM) # .RE
		direct;
	W	alias badWheather
		activatedBy(DISTURB)
		mitigatedBy(RANDOM) # .RE
		direct;
	nC alias nearCollision
    activatedBy(MISUSE)
    requiresNOf(1|O)
    direct;
	C alias collision
    requires(nC)
    excludes(nC) 
    activatedBy(NEAR_MISHAP)
    mitigatedBy(ALLEVIATE) # .Ab
    offRepair;
}

