Activity {
  include basic;
}

ControlLoop MyRoboCar {
	mode AP alias AutoPilot
    partOf Ctr; 
	mode hAD alias highlyAttentiveDriver
    partOf Dr; 
	mode TOC alias TakeOverControl
    partOf Ctr;
	mode EB alias emergencyBrake
    partOf Ctr;
}

FactorModel {
# causal factors in the controller:
  nAP alias noAutoPilot
    activatedBy (FAIL.AP)
    mitigatedBy (FALLBACK.TOC, FALLBACK.hAD);  
  nTOC alias noTakeOverControl
    preventsMit (nAP)
    mitigatedBy (FALLBACK.hAD);
  E causes (nAP);
  B causes (nTOC); 
  O mitigatedBy (PREVENT_CRASH.hAD, PREVENT.EB);
}
