Activity {
  include moving;
}

FactorModel {
  // accidents
  WS desc "(W)elding (S)parks cause operator injuries"
    mishap
    requiresNOf (1|HC,HS)
    guard "hACT_WELDING"
    detectedBy (SHARE.WSdet)
    mitigatedBy (.WSmit)
    resumedBy (.WSres)
    alleviatedBy (.WSall)
    mis="h_approachWeldSpot"
    prob=0.01
    sev=5;
}

Application cobot {
  // detectors, mitigation and resumption commands ...
  // ... for WS
  mode WSdet desc "image processing"
    guard "hACT_WELDING";
  mode WSmit
    event WSstop
    target (act=idle, safmod=srmst)
    disruption=5 effort=1;
  mode WSres
    event WSres
    guard "!hST_HOinSGA"
    target (act=welding, safmod=normal);
  mode WSall;
}
