/* cold-spare guard: 2 primary units, 1 shared cold spare */
FactorModel {
  O1 desc "CSP gate output"
    requiresNOf(1|A1,H1) requiresOcc(P1) final;
  O2 desc "CSP gate output"
    requiresNOf(1|A1,H2) requiresOcc(P2) final;
  H1 requiresMit(P2) final;
  H2 requiresMit(P1) final;
  P1 desc "primary unit 1 fails"
    mitPreventsMit(P2); // shared spare can only be used once
  P2 desc "primary unit 2 fails"
    mitPreventsMit(P1);
  A1 desc "shared alternate unit fails"
    requiresNOf(1|P1,P2) preventsMit(P1,P2) final;
}

Settings {
  suppressResumptions=true;
  graphDirection=TB;
}

