/* Combination of Fault Tree guards:
   $e^G$ => previously AND(A,B); $e^A$ => previously OR(C,D) */
FactorModel for combi {
  // AND guard on G
  G requires(A,B) excludes(*);
  // OR guard on A
  A requiresNOf(1|C,D);
}

Settings {
  suppressMishaps=true;
  suppressMitigations=true;
}
